Packages - Freedom Issue #2345

[code] depends on electron
2019-06-28 11:36 AM - pisechka

Status: duplicate % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

How install vscode if he want electron while electron hasn't in repos?
If electron is in a third-party repository for what need code in community repos?
Maybe i don't understand how properly it install.

Related issues:

Related to Packages - Freedom Issue #2203: [code]: depends on electron fixed
Related to Packages - Packaging Request #2716: add VSCodium wont-fix
History

#1 - 2019-06-28 11:56 AM - freemor
- Priority changed from bug to freedom issue
- Status changed from unconfirmed to confirmed

- Tracker changed from Bug to Freedom Issue

Yet another electron victim.

Should add this to the list of electon victims
Will do later when | have time.
I'll leave this one open in case anyone want to look at liberating this. But honestly there are many other code editors.

#2 - 2019-06-28 01:29 PM - pisechka

Thank you. | will wait.

#3 - 2019-06-28 05:11 PM - bill-auger

i think 'code’ (aka: vscode) is a full-blown electron "app", like 'atom' and 'riot-desktop' - it probably quite intractable to separate it from electron

#4 - 2019-06-28 05:11 PM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform
added

"

#5 - 2019-06-28 06:48 PM - eschwartz

Duplicate of https:/labs.parabola.nu/issues/2203 which already reports that code depends on electron.

#6 - 2019-06-28 06:56 PM - freemor

The Parabola social contract prevents us from explaining this in detail.
Electron is not in the repo for good reasons.

The best option would be for you to patch/re-write code so it does not require electron.

Tho it is possible to install electron. You'd have to uninstall your-freedom to do so, something that | would hope as a Parabola user you'd find an
unacceptable option.

#7 - 2019-06-28 07:01 PM - freemor

Tho as bill-auger mentioned fixing code so it does not need electron probably boils down to a complete re-write of it.
#8 - 2019-06-28 07:20 PM - bill-auger
- Related to deleted (Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium

platform”)

#9 - 2019-06-28 07:21 PM - bill-auger
- Status changed from confirmed to duplicate

duplicate of #2203

#10 - 2019-06-30 10:50 AM - pisechka

Thank you so much for fix <3

#11 - 2019-06-30 12:20 PM - freemor

| fear that you may have misunderstood. | was not saying that we would do a complete re-write of this program.

| was saying that with that level of work being required and with there being many alternatives. That the most likely course of action will be blacklisting
this porgram.

In fact as the consensus seem to be unfixable I'll go ahead and blacklist it in the next couple of days and the related BRs

#12 - 2019-07-03 01:14 PM - pisechka
Ok i understood.

#13 - 2020-05-02 09:46 PM - bill-auger
- Related to Freedom Issue #2203: [code]: depends on electron added

#14 - 2020-05-02 09:46 PM - bill-auger
- Related to Packaging Request #2716: add VSCodium added
